apiVersion: apps.3scale.net/v1alpha1
kind: APIManager
metadata:
  annotations:
    apps.3scale.net/apimanager-threescale-version: '2.11'
    apps.3scale.net/threescale-operator-version: 0.8.0
  creationTimestamp: '2021-08-19T11:05:38Z'
  generation: 2
  managedFields:
    - apiVersion: apps.3scale.net/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:system':
            .: {}
            'f:fileStorage':
              .: {}
              'f:simpleStorageService':
                .: {}
                'f:configurationSecretRef':
                  .: {}
                  'f:name': {}
            'f:image': {}
          'f:wildcardDomain': {}
      manager: oc
      operation: Update
      time: '2021-08-19T11:05:38Z'
    - apiVersion: apps.3scale.net/v1alpha1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:apps.3scale.net/apimanager-threescale-version': {}
            'f:apps.3scale.net/threescale-operator-version': {}
        'f:spec':
          'f:apicast':
            .: {}
            'f:managementAPI': {}
            'f:openSSLVerify': {}
            'f:productionSpec':
              .: {}
              'f:replicas': {}
            'f:registryURL': {}
            'f:responseCodes': {}
            'f:stagingSpec':
              .: {}
              'f:replicas': {}
          'f:appLabel': {}
          'f:backend':
            .: {}
            'f:cronSpec':
              .: {}
              'f:replicas': {}
            'f:listenerSpec':
              .: {}
              'f:replicas': {}
            'f:workerSpec':
              .: {}
              'f:replicas': {}
          'f:imageStreamTagImportInsecure': {}
          'f:resourceRequirementsEnabled': {}
          'f:system':
            'f:appSpec':
              .: {}
              'f:replicas': {}
            'f:sidekiqSpec':
              .: {}
              'f:replicas': {}
            'f:sphinxSpec': {}
          'f:tenantName': {}
          'f:zync':
            .: {}
            'f:appSpec':
              .: {}
              'f:replicas': {}
            'f:queSpec':
              .: {}
              'f:replicas': {}
        'f:status':
          .: {}
          'f:conditions': {}
          'f:deployments':
            .: {}
            'f:ready': {}
            'f:starting': {}
            'f:stopped': {}
      manager: manager
      operation: Update
      time: '2021-08-19T11:06:02Z'
  name: example-apimanager
  namespace: 3scale-oracle
  resourceVersion: '68700674'
  uid: 8fbfcca2-004e-4a93-99aa-bf53964cda0e
spec:
  imageStreamTagImportInsecure: false
  resourceRequirementsEnabled: true
  system:
    appSpec:
      replicas: 1
    fileStorage:
      simpleStorageService:
        configurationSecretRef:
          name: aws-secret
    image: 'test:latest'
    sidekiqSpec:
      replicas: 1
    sphinxSpec: {}
  appLabel: 3scale-api-management
  zync:
    appSpec:
      replicas: 1
    queSpec:
      replicas: 1
  backend:
    cronSpec:
      replicas: 1
    listenerSpec:
      replicas: 1
    workerSpec:
      replicas: 1
  tenantName: 3scale
  apicast:
    managementAPI: status
    openSSLVerify: false
    productionSpec:
      replicas: 1
    registryURL: 'http://apicast-staging:8090/policies'
    responseCodes: true
    stagingSpec:
      replicas: 1
  wildcardDomain: oracle.apps.ocp-cluster.osp.api-qe.eng.rdu2.redhat.com
status:
  conditions:
    - lastTransitionTime: '2021-08-19T11:05:40Z'
      status: 'False'
      type: Available
  deployments:
    ready:
      - apicast-staging
      - backend-cron
      - backend-listener
      - backend-redis
      - backend-worker
      - system-memcache
      - system-mysql
      - system-redis
      - zync
      - zync-database
      - zync-que
    starting:
      - apicast-production
    stopped:
      - system-app
      - system-sidekiq
      - system-sphinx
